# Unibar

Simple bar written in Rust

# Description

* A tool that returns variety of components in a string suitable to use in a
  status bar
* Currently implemented modules:
  - weather
  - music
  - network
  - memory
  - cpu
  - power

# Usage

* Use the `--help` option for usage information:

```sh
A tool that returns variety of components in a string
 suitable to use in a status bar

Usage: unibar [OPTIONS]

Options:
  -s, --weather-station <WEATHER_STATION>
          Name of the weather station

          [default: khio]

  -m, --weather-metric
          Use Metric units in weather data. Imperial units otherwise

  -p, --music-progress
          Show music progess

  -D, --debug
          Show verbose debug information during run

  -M, --debug-modules
          Show module debug information after all modules are evaluated but before output is printed

  -h, --help
          Print help (see a summary with '-h')

  -V, --version
          Print version
```

# Example output

* Default

```shell
$ target/release/unibar
⏸ Dire Straits - Tunnel of Love 💾 42% 💻 3% 🔌 99% 📶 192.168.1.93 ☀️ 83°F
```

* With music progress

```shell
$ target/release/unibar --music-progress
⏸ Dire Straits - Tunnel of Love [2% 14:23] 💾 42% 💻 3% 🔌 99% 📶 192.168.1.93 ☀️ 83°F
```
